Debian Bug report logs - #661473
pu: package brltty/4.2-7+squeeze2

version graph

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Samuel Thibault <sthibault@debian.org>

Date: Mon, 27 Feb 2012 13:54:02 UTC

Severity: normal

Tags: confirmed

Fixed in version 6.0.5

Done: "Adam D. Barratt" <adam@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#661473; Package release.debian.org. (Mon, 27 Feb 2012 13:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 27 Feb 2012 13:54:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pu: package brltty/4.2-7+squeeze1
Date: Mon, 27 Feb 2012 14:51:25 +0100
[Message part 1 (text/plain, inline)]
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: pu

Hello,

I would like to fix a bug in brltty for some devices: the esys and
iris braille devices whose size is bigger than 40 cells. See the
attached patch: the eubrl_usbWrite() part of it fixes displaying on them
(otherwise it remains completely blank). The esysiris_SysIdentity() part
of it fixes a buffer overflow when they are connected (same USB ID, but
bigger model number).

The changes have been tested with the real device.

Samuel

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.4 (SMP w/8 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
[patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#661473; Package release.debian.org. (Mon, 27 Feb 2012 14:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 27 Feb 2012 14:45:08 GMT) Full text and rfc822 format available.

Message #10 received at 661473@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Samuel Thibault <sthibault@debian.org>, 661473@bugs.debian.org
Subject: Re: Bug#661473: pu: package brltty/4.2-7+squeeze1
Date: Mon, 27 Feb 2012 15:43:46 +0100
[Message part 1 (text/plain, inline)]
Hi Samuel.

Samuel Thibault <sthibault@debian.org> (27/02/2012):
> I would like to fix a bug in brltty for some devices: the esys and
> iris braille devices whose size is bigger than 40 cells. See the
> attached patch: the eubrl_usbWrite() part of it fixes displaying on them
> (otherwise it remains completely blank). The esysiris_SysIdentity() part
> of it fixes a buffer overflow when they are connected (same USB ID, but
> bigger model number).

Don't we have a bug report to track it?

> The changes have been tested with the real device.

Great.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#661473; Package release.debian.org. (Mon, 27 Feb 2012 14:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 27 Feb 2012 14:51:04 GMT) Full text and rfc822 format available.

Message #15 received at 661473@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Cyril Brulebois <kibi@debian.org>
Cc: 661473@bugs.debian.org
Subject: Re: Bug#661473: pu: package brltty/4.2-7+squeeze1
Date: Mon, 27 Feb 2012 15:47:00 +0100
Cyril Brulebois, le Mon 27 Feb 2012 15:43:46 +0100, a écrit :
> Samuel Thibault <sthibault@debian.org> (27/02/2012):
> > I would like to fix a bug in brltty for some devices: the esys and
> > iris braille devices whose size is bigger than 40 cells. See the
> > attached patch: the eubrl_usbWrite() part of it fixes displaying on them
> > (otherwise it remains completely blank). The esysiris_SysIdentity() part
> > of it fixes a buffer overflow when they are connected (same USB ID, but
> > bigger model number).
> 
> Don't we have a bug report to track it?

Well, it's while testing the device that I noticed the issue, and thus
fixed it directly.

> > The changes have been tested with the real device.
> 
> Great.

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#661473; Package release.debian.org. (Mon, 27 Feb 2012 21:13:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 27 Feb 2012 21:15:55 GMT) Full text and rfc822 format available.

Message #20 received at 661473@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Samuel Thibault <sthibault@debian.org>, 661473@bugs.debian.org
Cc: Cyril Brulebois <kibi@debian.org>
Subject: Re: Bug#661473: pu: package brltty/4.2-7+squeeze1
Date: Mon, 27 Feb 2012 21:03:54 +0000
On Mon, 2012-02-27 at 15:47 +0100, Samuel Thibault wrote:
> Cyril Brulebois, le Mon 27 Feb 2012 15:43:46 +0100, a écrit :
> > Samuel Thibault <sthibault@debian.org> (27/02/2012):
> > > I would like to fix a bug in brltty for some devices: the esys and
> > > iris braille devices whose size is bigger than 40 cells. See the
> > > attached patch: the eubrl_usbWrite() part of it fixes displaying on them
> > > (otherwise it remains completely blank). The esysiris_SysIdentity() part
> > > of it fixes a buffer overflow when they are connected (same USB ID, but
> > > bigger model number).
> > 
> > Don't we have a bug report to track it?
> 
> Well, it's while testing the device that I noticed the issue, and thus
> fixed it directly.

One of the benefits of a bug report is that it has version information,
which allows us to easily determine whether the issue affects unstable
and, if so, whether it has already been resolved there.

In this case, from the description I'd assume that it would also apply
to the version of brltty in unstable and afaict from looking at the
source, it hasn't been applied.  Is that an accurate summary?

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#661473; Package release.debian.org. (Mon, 27 Feb 2012 21:20:58 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 27 Feb 2012 21:21:01 GMT) Full text and rfc822 format available.

Message #25 received at 661473@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 661473@bugs.debian.org, Cyril Brulebois <kibi@debian.org>
Subject: Re: Bug#661473: pu: package brltty/4.2-7+squeeze1
Date: Mon, 27 Feb 2012 22:07:09 +0100
Adam D. Barratt, le Mon 27 Feb 2012 21:03:54 +0000, a écrit :
> On Mon, 2012-02-27 at 15:47 +0100, Samuel Thibault wrote:
> > Cyril Brulebois, le Mon 27 Feb 2012 15:43:46 +0100, a écrit :
> > > Samuel Thibault <sthibault@debian.org> (27/02/2012):
> > > > I would like to fix a bug in brltty for some devices: the esys and
> > > > iris braille devices whose size is bigger than 40 cells. See the
> > > > attached patch: the eubrl_usbWrite() part of it fixes displaying on them
> > > > (otherwise it remains completely blank). The esysiris_SysIdentity() part
> > > > of it fixes a buffer overflow when they are connected (same USB ID, but
> > > > bigger model number).
> > > 
> > > Don't we have a bug report to track it?
> > 
> > Well, it's while testing the device that I noticed the issue, and thus
> > fixed it directly.
> 
> One of the benefits of a bug report is that it has version information,
> which allows us to easily determine whether the issue affects unstable
> and, if so, whether it has already been resolved there.
> 
> In this case, from the description I'd assume that it would also apply
> to the version of brltty in unstable and afaict from looking at the
> source, it hasn't been applied.  Is that an accurate summary?

Yes, althought I have already commited the same fix in the brltty
repository for next unstable upload.

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#661473; Package release.debian.org. (Tue, 13 Mar 2012 20:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 13 Mar 2012 20:54:03 GMT) Full text and rfc822 format available.

Message #30 received at 661473@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Samuel Thibault <sthibault@debian.org>, 661473@bugs.debian.org
Subject: Re: Bug#661473: pu: package brltty/4.2-7+squeeze1
Date: Tue, 13 Mar 2012 20:51:02 +0000
On Mon, 2012-02-27 at 22:07 +0100, Samuel Thibault wrote:
> Adam D. Barratt, le Mon 27 Feb 2012 21:03:54 +0000, a écrit :
> > In this case, from the description I'd assume that it would also apply
> > to the version of brltty in unstable and afaict from looking at the
> > source, it hasn't been applied.  Is that an accurate summary?
> 
> Yes, althought I have already commited the same fix in the brltty
> repository for next unstable upload.

Is there an ETA for that?  We really want the fix to be proved in
unstable before the stable update, rather than just queued for a future
upload.

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#661473; Package release.debian.org. (Tue, 13 Mar 2012 23:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 13 Mar 2012 23:06:03 GMT) Full text and rfc822 format available.

Message #35 received at 661473@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 661473@bugs.debian.org
Subject: Re: Bug#661473: pu: package brltty/4.2-7+squeeze1
Date: Wed, 14 Mar 2012 00:03:53 +0100
Adam D. Barratt, le Tue 13 Mar 2012 20:51:02 +0000, a écrit :
> On Mon, 2012-02-27 at 22:07 +0100, Samuel Thibault wrote:
> > Adam D. Barratt, le Mon 27 Feb 2012 21:03:54 +0000, a écrit :
> > > In this case, from the description I'd assume that it would also apply
> > > to the version of brltty in unstable and afaict from looking at the
> > > source, it hasn't been applied.  Is that an accurate summary?
> > 
> > Yes, althought I have already commited the same fix in the brltty
> > repository for next unstable upload.
> 
> Is there an ETA for that?  We really want the fix to be proved in
> unstable before the stable update, rather than just queued for a future
> upload.

Ok, it's now uploaded.

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#661473; Package release.debian.org. (Sun, 18 Mar 2012 15:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 18 Mar 2012 15:54:03 GMT) Full text and rfc822 format available.

Message #40 received at 661473@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Samuel Thibault <sthibault@debian.org>, 661473@bugs.debian.org
Subject: Re: Bug#661473: pu: package brltty/4.2-7+squeeze1
Date: Sun, 18 Mar 2012 15:50:50 +0000
tag 661473 + confirmed
thanks

On Wed, 2012-03-14 at 00:03 +0100, Samuel Thibault wrote:
> Adam D. Barratt, le Tue 13 Mar 2012 20:51:02 +0000, a écrit :
> > Is there an ETA for that?  We really want the fix to be proved in
> > unstable before the stable update, rather than just queued for a future
> > upload.
> 
> Ok, it's now uploaded.

Thanks.  As it's also now in testing, please go ahead with the stable upload.

Regards,

Adam





Added tag(s) confirmed. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sun, 18 Mar 2012 15:54:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#661473; Package release.debian.org. (Sun, 25 Mar 2012 14:27:48 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 25 Mar 2012 14:27:48 GMT) Full text and rfc822 format available.

Message #47 received at 661473@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 661473@bugs.debian.org
Subject: Re: Bug#661473: pu: package brltty/4.2-7+squeeze2
Date: Sun, 25 Mar 2012 16:21:00 +0200
retitle 661473 pu: package brltty/4.2-7+squeeze2
thanks

Adam D. Barratt, le Sun 18 Mar 2012 15:50:50 +0000, a écrit :
> On Wed, 2012-03-14 at 00:03 +0100, Samuel Thibault wrote:
> > Adam D. Barratt, le Tue 13 Mar 2012 20:51:02 +0000, a écrit :
> > > Is there an ETA for that?  We really want the fix to be proved in
> > > unstable before the stable update, rather than just queued for a future
> > > upload.
> > 
> > Ok, it's now uploaded.
> 
> Thanks.  As it's also now in testing, please go ahead with the stable upload.

Done.

Samuel




Changed Bug title to 'pu: package brltty/4.2-7+squeeze2' from 'pu: package brltty/4.2-7+squeeze1' Request was from Samuel Thibault <sthibault@debian.org> to control@bugs.debian.org. (Sun, 25 Mar 2012 14:28:54 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#661473; Package release.debian.org. (Mon, 26 Mar 2012 18:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 26 Mar 2012 18:27:06 GMT) Full text and rfc822 format available.

Message #54 received at 661473@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Samuel Thibault <sthibault@debian.org>, 661473@bugs.debian.org
Subject: Re: Bug#661473: pu: package brltty/4.2-7+squeeze2
Date: Mon, 26 Mar 2012 19:22:06 +0100
tag 661473 + pending
thanks

On Sun, 2012-03-25 at 16:21 +0200, Samuel Thibault wrote:
> Adam D. Barratt, le Sun 18 Mar 2012 15:50:50 +0000, a écrit :
> > On Wed, 2012-03-14 at 00:03 +0100, Samuel Thibault wrote:
> > > Adam D. Barratt, le Tue 13 Mar 2012 20:51:02 +0000, a écrit :
> > > > Is there an ETA for that?  We really want the fix to be proved in
> > > > unstable before the stable update, rather than just queued for a future
> > > > upload.
> > > 
> > > Ok, it's now uploaded.
> > 
> > Thanks.  As it's also now in testing, please go ahead with the stable upload.
> 
> Done.

I've just flagged the package for acceptance in to p-u; thanks.

Regards,

Adam





Added tag(s) pending. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Mon, 26 Mar 2012 18:27:18 GMT) Full text and rfc822 format available.

Reply sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
You have taken responsibility. (Sat, 12 May 2012 12:36:44 GMT) Full text and rfc822 format available.

Notification sent to Samuel Thibault <sthibault@debian.org>:
Bug acknowledged by developer. (Sat, 12 May 2012 12:36:44 GMT) Full text and rfc822 format available.

Message #61 received at 661473-done@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: <623148-done@bugs.debian.org>, <657722-done@bugs.debian.org>, <658424-done@bugs.debian.org>, <660693-done@bugs.debian.org>, <661473-done@bugs.debian.org>, <661652-done@bugs.debian.org>, <663104-done@bugs.debian.org>, <664567-done@bugs.debian.org>, <666001-done@bugs.debian.org>, <666222-done@bugs.debian.org>, <666687-done@bugs.debian.org>, <668456-done@bugs.debian.org>, <670730-done@bugs.debian.org>, <671449-done@bugs.debian.org>
Subject: Closing requests for packages included in 6.0.5
Date: Sat, 12 May 2012 13:32:55 +0100
Version: 6.0.5

Hi,

All of the packages referenced by the closed bugs were included in the 
6.0.5 point release which occured today.

Regards,

Adam




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 11 Jun 2012 07:53:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:34:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.